# Makefile.conf.in for DOSEMU
#
# This file is included by all Makefiles

DOSBIN = dosemu.bin

PACKAGE_TARNAME:=dosemu2
prefix:=/usr/local
exec_prefix=${prefix}
bindir:=${exec_prefix}/bin
sysconfdir:=${prefix}/etc
confdir:=dosemu
libdir:=${exec_prefix}/lib
plugindir:=${exec_prefix}/lib/dosemu
datarootdir:=${prefix}/share
datadir:=${datarootdir}
mandir:=${datarootdir}/man
docdir:=${datarootdir}/doc/${PACKAGE_TARNAME}
syshdimagedir:=/var/lib/dosemu
x11fontdir:=${datarootdir}/dosemu/Xfonts
fdtarball:=
cmdsuff:=dosemu2-cmds-0.1
abs_top_srcdir:=/var/www/debian/dosemu2/dosemu2-2.0pre8-dev
abs_top_builddir:=/var/www/debian/dosemu2/dosemu2-2.0pre8-dev



INCDIR:=-I${top_builddir}/src/include -I${top_builddir}/src/plugin/include
top_srcdir:=$(abs_top_srcdir)
srcdir=$(abs_top_srcdir)/src/$(SUBDIR)
INCDIR += -I${top_srcdir}/src/include

CFLAGS:=
ALL_CFLAGS:=-Wall -Wstrict-prototypes -Wmissing-declarations -Wnested-externs -fms-extensions -pthread -imacros config.h -Wno-unused-result -fpie -fplan9-extensions -Wno-maybe-uninitialized -O2   ${CFLAGS}
ASFLAGS:=
CPPFLAGS:=
ALL_CPPFLAGS:= -MMD -DCFLAGS_STR="-Wall -Wstrict-prototypes -Wmissing-declarations -Wnested-externs -fms-extensions -pthread -imacros config.h -Wno-unused-result -fpie -fplan9-extensions -Wno-maybe-uninitialized -O2   " ${INCDIR} ${CPPFLAGS}
LDFLAGS:=
ALL_LDFLAGS:=-Wl,-warn-common -pthread -pie ${LDFLAGS}
DOSBIN_LDFLAGS:=-rdynamic
LIBS:=-lpthread -ldl -lm -lrt 
CC:=gcc
CPP:=gcc -E
LD:=gcc

YACC:=bison -y
# NOTE: we really need bison, yacc won't work any more
#YACC=bison -y
LEX:=flex

# This gets defined even if we chose via ./include/config.h NOT to
# use the debugger
DEBUGGER:=@DEBUGGER@

OPTIONALSUBDIRS := 
PLUGINSUBDIRS :=  plugin/libao plugin/gpm plugin/alsa plugin/ladspa plugin/extra_charsets plugin/term plugin/X plugin/sdl plugin/midimisc plugin/fluidsynth plugin/charsets plugin/console plugin/modemu
ST_PLUGINSUBDIRS :=  plugin/extra_charsets plugin/midimisc plugin/charsets plugin/modemu

HAVE_LIBBFD := 0

OS=linux
RANLIB:=ranlib

PACKAGE_NAME:=dosemu2

USE_DL_PLUGINS=1

INSTALL:=/usr/bin/install -c
REALTOPDIR:=$(top_srcdir)
SRCPATH:=$(top_srcdir)/src

PACKAGE_VERSION:=$(shell cd $(top_srcdir) && ./getversion)
PACKAGE_VERSION_SPACES:=$(subst ., ,$(PACKAGE_VERSION))
PACKAGE_VERSION_SPACES:=$(subst -, ,$(PACKAGE_VERSION_SPACES))
PACKAGE_VERSION_SPACES:=$(subst pre, pre,$(PACKAGE_VERSION_SPACES))
VERSION:=$(word 1, $(PACKAGE_VERSION_SPACES))
SUBLEVEL:=$(word 2, $(PACKAGE_VERSION_SPACES))
PATCHLEVEL1:=$(word 3, $(PACKAGE_VERSION_SPACES))
PATCHLEVEL2:=$(word 4, $(PACKAGE_VERSION_SPACES))
ifeq ($(PATCHLEVEL2),)
PACKETNAME:=$(PACKAGE_NAME)-$(VERSION).$(SUBLEVEL)$(PATCHLEVEL1)
else
PACKETNAME:=$(PACKAGE_NAME)-$(VERSION).$(SUBLEVEL)$(PATCHLEVEL1).$(PATCHLEVEL2)
endif
THISVERSION:=$(VERSION).$(SUBLEVEL)-$(PATCHLEVEL1)
PACKVERSION:=$(VERSION).$(SUBLEVEL)$(PATCHLEVEL1)
BINPATH:=$(top_builddir)/$(THISVERSION)
RELEASE_DATE="2017-11-26"
REVISION:=$(shell cd $(top_srcdir) && ./getversion -r)

ifdef USE_DL_PLUGINS
DL_CFLAGS:=-fPIC
else
-include $(top_builddir)/src/plugin/*/Makefile.conf
endif
